package com.yeejoin.amos.boot.module.jcs.api.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.common.api.entity.FirefightersJacket;
import com.yeejoin.amos.boot.module.jcs.api.dto.EquipSpecificDto;
import com.yeejoin.amos.boot.module.jcs.api.dto.EquipmentOnCarDto;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

import java.util.List;
import java.util.Map;

/**
* 消防人员配装记录 服务类
*
* @author tb
* @date 2021-06-07
*/
public interface IFirefightersJacketService {

    List<Map<String, Object>> getPersonEquipCount();

    ResponseModel<Page<Object>> getAirEquipSpecificPage(EquipSpecificDto equipSpecificDto, int current, int size);

    boolean saveOrUpdateBatch(Long firefightersId, List<EquipmentOnCarDto> equipmentOnCarDtos);

    boolean update(String type, FirefightersJacket firefightersJacket);

    ResponseModel<Object> getEquipByStockDetailId(Long stockDetailId);
}
